Subject: RE: [AAA-WG]: [issue] New NASREQ AVPs

From: "Pat R. Calhoun" <[email-masked]>
Date: Mon, 4 Mar 2002 14:14:43 -0800

Unfortunately, I don't have that info in front of me, but an example
is the Terminate-Action. This is a way for the server to inform the
NAS how to behave when the session is terminated. Diameter has
specific ways of asking for re-auth and/or to be requested when a
session is terminated.

So for each we must evaluate whether they are needed or not.

PatC

- -----Original Message-----
From: Bernard Aboba [mailto:[email-masked]] 
Sent: Monday, March 04, 2002 1:29 PM
To: Pat R. Calhoun
Cc: 'David Spence'; AAA Working Group
Subject: RE: [AAA-WG]: [issue] New NASREQ AVPs

> Note that some of these had been intentionally left out because
> they  made no sense for Diameter.

Which ones? Why didn't they make sense?

>        CODE      NAME                            RFC
>        ----      ----                            ----
>          29      Termination-Action              2865
>          41      Acct-Delay-Time                 2866
>          51      Acct-Link-Count                 2866
>          55      Event-Timestamp                 2869
>          78      Configuration-Token             2869
>          85      Acct-Interim-Interval           2869
>          87      NAS-Port-Id                     2869
>          88      Framed-Pool                     2869
>          95      NAS-IPv6-Address                3162
>          98      Login-IPv6-Host                 3162

---

From: David Spence <[email-masked]>
Date: Mon, 04 Mar 2002 17:58:20 -0500

I'm really not sure you're correct here.  It is certainly possible that some
of the AVPs in my list are not needed, but I sure would like an explanation
for each one.  This includes Termination-Action.  The Termination-Action AVP
is primarily for use with the Login service.  It allows the AAA server to
tell the NAS whether to drop the connection to the user when the connection
to the host goes down or whether to prompt the user for a new destination
instead.  This could be accomplished in Diameter by sending a request for
reauthentication and reauthorization.  The trouble is, I don't know how to
signal the semantics of the Termination-Action AVP to the NAS in the
original AA-Answer message.

I will grant that a number of RADIUS attributes MUST NOT appear in Diameter
messages.  My list of these is as follows, although, again I could be
mistaken on one or two.

       CODE      NAME                            RADIUS
      ------     ----                            ------
          3      CHAP-Password                   RFC 2865
         26      Vendor-Specific                 RFC 2865
         40      Acct-Status-Type                RFC 2866
         42      Acct-Input-Octets               RFC 2866
         43      Acct-Output-Octets              RFC 2866
         47      Acct-Input-Packets              RFC 2866
         48      Acct-Output-Packets             RFC 2866
         49      Acct-Terminate-Cause            RFC 2866
         52      Acct-Input-Gigawords            RFC 2869
         53      Acct-Output-Gigawords           RFC 2869
         80      Message-Authenticator           RFC 2869

So could you look over the list from my issue rather carefully and set me
straight if any of them really are not needed?

> "Pat R. Calhoun" wrote:
> 
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> -----BEGIN PGP SIGNATURE-----
> Version: PGPfreeware 7.0.3 for non-commercial use <http://www.pgp.com>
> 
> iQA/AwUBPIPx0zN1fXKoxmisEQK53wCcCguW/5118kB9I/azfCxGQM+i0asAnRWz
> Pb2Rve8sGowSKlS8/dm1REeH
> =9f13
> -----END PGP SIGNATURE-----